---
lang: en
title: 'API docs: authorization.authorizationinterceptor.intercept'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authorization.authorizationinterceptor.intercept.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationInterceptor](./authorization.authorizationinterceptor.md) &gt; [intercept](./authorization.authorizationinterceptor.intercept.md)

## AuthorizationInterceptor.intercept() method

<b>Signature:</b>

```typescript
intercept(invocationCtx: InvocationContext, next: Next): Promise<any>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  invocationCtx | <code>InvocationContext</code> |  |
|  next | <code>Next</code> |  |

<b>Returns:</b>

`Promise<any>`


